Subject: Re: [PATCHv2] push: heed user.signingkey for signed pushes

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Oct 2014 16:47:28 -0700

Junio C Hamano <[email-masked]> writes:

> Michael J Gruber <[email-masked]> writes:
>
>> push --signed promises to take user.signingkey as the signing key but
>> fails to read the config.
>>
>> Make it do so.
>>
>> Signed-off-by: Michael J Gruber <[email-masked]>
>> ---
>> Okay, I guess this is nicer. We do have the committer info in the env. Sorry.
>>
>>  builtin/push.c         |  13 ++++++++++++-
>>  t/lib-gpg/trustdb.gpg  | Bin 1360 -> 1360 bytes
>>  t/t5534-push-signed.sh |  44 ++++++++++++++++++++++++++++++++++++++++++++
>>  3 files changed, 56 insertions(+), 1 deletion(-)
>
> Hmph, I simply forgot about that configuration, I guess.
>
> What is this change to trustdb about, though?  The log message does
> not say anything about it.

This is a related tangent, but I just tried this:

    $ git clone ... git.git
    $ cd git.git
    $ chmod a-w t/lib-gpg/* t/lib-gpg
    $ make test

which makes GPG related tests to fail, as running GPG with the GNUPGHOME
set there involves writing into the files in the directory (or
removing and recreating).

Perhaps GPG tests should create their own copy in the playpen (aka
"trash directory") and use that as GNUPGHOME so that we do not have
to write into the single shared directory?  I wonder if automated
parallel tests can intermittently fail because of this...